[vdr] vdr-1.7.23 uses the wrong DVB headers

Jouni Karvo Jouni.Karvo at iki.fi
Mon Jan 16 19:47:56 CET 2012


On 15.01.2012 22:46, Udo Richter wrote:
> Hi list,
>
> And here I was, thinking that I could finally drop support for this old
> compatibility patch that noone really needs any more, and then the new
> VDR-1.7.23 requires linux-3.0 or newer headers to compile... yay...

Hi, I have a self compiled 3.2.1-SMP kernel in Debian:

fakeroot make-kpkg --initrd --append-to-version=-jk kernel-image 
kernel-headers

and installed both packages.  For some reason, the file 
/usr/include/linux has DVBversion major 5 minor 1.
The kernel headers are in the /usr/src/linux-headers-($shell uname -r) 
directory.  I tried to use this in the DVBDIR variable in Make.config, 
as adviced in the INSTALL-file but with no success.  It did not seem to 
have any effect.

So - what to do?

yours,
         Jouni



More information about the vdr mailing list